
.KanbanColumn {
  display: grid;
  grid-template-rows: 6rem auto;

  height: 80vh;

  &.-blue > .header { background-color: var(--color-blue-1); }
  &.-red > .header { background-color: var(--color-red-1); }
  &.-submarine > .header { background-color: var(--color-submarine-1); }

  &.-blue > .body { background-color: var(--color-blue-2); }
  &.-red > .body { background-color: var(--color-red-2); }
  &.-submarine > .body { background-color: var(--color-submarine-2); }

  &.-blue > .body > .KanbanCard { background-color: var(--color-blue-3); }
  &.-red > .body > .KanbanCard { background-color: var(--color-red-3); }
  &.-submarine > .body > .KanbanCard { background-color: var(--color-submarine-3); }
}

.KanbanColumn > .header {
  position: relative;
  text-align: center;
}

.KanbanColumn > .header > .info {
  display: flex;
  flex-direction: column;
  justify-content: center;

  height: 100%;

  > .title,
  > .total-of-cards {
    color: var(--color-white-1);
  }

  > .title { font-size: 1.8rem; }
  > .total-of-cards { font-size: 1.4rem; }
}

.KanbanColumn > .header > .add-new-card {
  position: absolute;
  top: 2rem;
  right: 2rem;

  color: var(--color-white-1);
  font-size: 1.8rem;

  cursor: pointer;
}

.KanbanColumn > .body {
  margin-top: .5rem;
  padding: 1rem .5rem;
}
